Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1570831 - rh-postgresql95 must require selinux-policy-targeted in post section [NEEDINFO]
Summary: rh-postgresql95 must require selinux-policy-targeted in post section
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: rh-postgresql95
Version: rh-postgresql95
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: ---
Assignee: Petr Kubat
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 13:32 UTC by Sandro Bonazzola
Modified: 2019-06-14 14:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 14:19:16 UTC
Target Upstream Version:
sbonazzo: needinfo? (dwalsh)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1563737 0 unspecified CLOSED Unable to connect via serial console to HE. /bin/sh: Permission denied. 2021-02-22 00:41:40 UTC

Internal Links: 1563737

Description Sandro Bonazzola 2018-04-23 13:32:52 UTC
rh-postgresql95 uses semanage in %post section but doesn't require selinux-policy-targeted at %post section

This allow to install rh-postgresql95 before selinux-policy-targeted while building the RHV-M appliance with anaconda generating the following traceback extracted from https://bugzilla.redhat.com/show_bug.cgi?id=1563737


07:01:38,613 INFO packaging: rh-postgresql95-runtime-2.2-2.el7.x86_64 (812/996)
07:01:38,613 INFO packaging: SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.31:  No such file or directory
07:01:38,614 INFO packaging: load_policy:  Can't load policy:  No such file or directory
07:01:38,614 INFO packaging: rh-postgresql95-postgresql-libs-9.5.9-1.el7.x86_64 (813/996)
07:01:38,614 INFO packaging: rh-postgresql95-postgresql-9.5.9-1.el7.x86_64 (814/996)
07:01:38,615 INFO packaging: rh-postgresql95-postgresql-server-9.5.9-1.el7.x86_64 (815/996)
07:01:38,615 INFO packaging: Traceback (most recent call last):
07:01:38,616 INFO packaging:   File "/sbin/semanage", line 32, in <module>
07:01:38,616 INFO packaging:     import seobject
07:01:38,616 INFO packaging:   File "/usr/lib64/python2.7/site-packages/seobject/__init__.py", line 36, in <module>
07:01:38,616 INFO packaging:     import sepolicy
07:01:38,617 INFO packaging:   File "/usr/lib64/python2.7/site-packages/sepolicy/__init__.py", line 921, in <module>
07:01:38,617 INFO packaging:     raise e
07:01:38,618 INFO packaging: ValueError: No SELinux Policy installed
07:01:38,618 INFO packaging: SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.31:  No such file or directory
07:01:38,618 INFO packaging: load_policy:  Can't load policy:  No such file or directory

Comment 2 Sandro Bonazzola 2018-04-23 13:33:57 UTC
Layered product: Red Hat Virtualization 4.2

Comment 3 Pavel Raiskup 2018-04-23 15:21:22 UTC
(In reply to Sandro Bonazzola from comment #0)
> rh-postgresql95 uses semanage in %post section but doesn't require
> selinux-policy-targeted at %post section

Hms, that's what's IMO done for any average collection out there; and still
nobody depends on that.  More, there are other selinux policies, not only
targeted policy.  So IMO the correct thing is to require policycoreutils-
python package, which is done btw.

> This allow to install rh-postgresql95 before selinux-policy-targeted while
> building the RHV-M appliance with anaconda generating the following
> traceback extracted from https://bugzilla.redhat.com/show_bug.cgi?id=1563737

I haven't seen postgresql mentioned in bug 1563737, so I don't know
how it relateds.

My guess is that some selinux policy package should be installed
reasonably soon enough; so any other package installed after that gets
appropriate labels (regardless of the chosen policy).  So I'm not
kickstart guru but I would peek there first.

Comment 4 Pavel Raiskup 2018-04-23 15:22:48 UTC
Perhaps that's bug in policycoreutils-python that it actually fails
if there's no policy installed (if that's really desired for your
case).

Comment 13 Joe Orton 2019-03-14 11:02:42 UTC
Red Hat does not currently plan to provide any further changes to this collection in a Red Hat Software Collections update release.

This software collection is nearing the retirement date (May 2019) after which customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/

Comment 14 Joe Orton 2019-06-14 14:19:16 UTC
In accordance with the Red Hat Software Collections Product Life Cycle, the support period for this collection has ended.

New bug fix, enhancement, and security errata updates, as well as technical support services will no longer be made available for this collection.

Customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/


Note You need to log in before you can comment on or make changes to this bug.